WsRemoteEndpointImplServer (Apache Tomcat 9.0.36 API Documentation)

org.apache.tomcat.websocket.server

## Class WsRemoteEndpointImplServer

- java.lang.Object
- - org.apache.tomcat.websocket.WsRemoteEndpointImplBase
  - - org.apache.tomcat.websocket.server.WsRemoteEndpointImplServer

- All Implemented Interfaces:
    RemoteEndpoint

      public class WsRemoteEndpointImplServer
      extends WsRemoteEndpointImplBase

  This is the server side `RemoteEndpoint` implementation - i.e. what the server uses to send data to the client.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.websocket.RemoteEndpoint

      `RemoteEndpoint.Async, RemoteEndpoint.Basic`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.websocket.WsRemoteEndpointImplBase

      `SENDRESULT_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsRemoteEndpointImplServer(SocketWrapperBase<?> socketWrapper, WsServerContainer serverContainer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doClose()`
    `protected void` | `doWrite(SendHandler handler, long blockingWriteTimeoutExpiry, ByteBuffer... buffers)`
    `protected long` | `getTimeoutExpiry()`
    `protected boolean` | `isMasked()`
    `protected void` | `onTimeout(boolean useDispatch)`
    `void` | `onWritePossible(boolean useDispatch)`
    `protected void` | `setTransformation(Transformation transformation)`

    - ### Methods inherited from class org.apache.tomcat.websocket.WsRemoteEndpointImplBase

      `close, flushBatch, getBatchingAllowed, getSendStream, getSendTimeout, getSendWriter, sendBytes, sendBytesByCompletion, sendBytesByFuture, sendObject, sendObjectByCompletion, sendObjectByFuture, sendPartialBytes, sendPartialString, sendPing, sendPong, sendString, sendStringByCompletion, sendStringByFuture, setBatchingAllowed, setEncoders, setSendTimeout, setSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsRemoteEndpointImplServer

          public WsRemoteEndpointImplServer(SocketWrapperBase<?> socketWrapper,
                                            WsServerContainer serverContainer)

  - ### Method Detail

    - #### isMasked

          protected final boolean isMasked()

      Specified by:
        `isMasked` in class `WsRemoteEndpointImplBase`

    - #### doWrite

          protected void doWrite(SendHandler handler,
                                 long blockingWriteTimeoutExpiry,
                                 ByteBuffer... buffers)

      Specified by:
        `doWrite` in class `WsRemoteEndpointImplBase`

    - #### onWritePossible

          public void onWritePossible(boolean useDispatch)

    - #### doClose

          protected void doClose()

      Specified by:
        `doClose` in class `WsRemoteEndpointImplBase`

    - #### getTimeoutExpiry

          protected long getTimeoutExpiry()

    - #### onTimeout

          protected void onTimeout(boolean useDispatch)

    - #### setTransformation

          protected void setTransformation(Transformation transformation)

      Overrides:
        `setTransformation` in class `WsRemoteEndpointImplBase`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.